import { Story, Canvas, Meta, Description } from "@storybook/addon-docs/blocks";
import { html } from "lit-html";
import { withKnobs, text } from "@storybook/addon-knobs";
import CATEGORIES from "../../categories";
import readme from "../../../dist/docs/components/widget-quick-order/readme.md";

<Meta title={CATEGORIES.SUB.WIDGETS + "Quick Order"} />

# Widget Quick Order

This widget is a shortcut to order a product from the shop. The user can enter the number of the item. While typing the input suggests products, that match the entered digits. The user can select the amount. When the user clicks on the button, they are redirected to the shop where the selected product is prefilled in the order form.

<Canvas
    mdxSource={`
    <ui-widget-quick-order
        url="/mock-data/widget-quick-order.json"
    ></ui-widget-quick-order>
`}
>
    <Story
        height="450px"
        name="widget-quick-order"
        parameters={{
            decorators: [withKnobs],
            jest: [
                "widget-quick-order.e2e.ts",
                "url.spec.ts",
                "number-input-utils.spec.ts",
                "get-suggestions.spec.ts",
                "unique-id.spec.ts",
                "get-suggestion-highlight.spec.ts",
                "icon.e2e.ts",
                "number-input.e2e.ts",
                "autosuggest-input.e2e.ts",
                "debounce.spec.ts",
            ],
        }}
    >
        {html`
            <ui-widget-quick-order
                url="${text("URL", "/mock-data/widget-quick-order.json")}"
            ></ui-widget-quick-order>
        `}
    </Story>
</Canvas>

---

## Usage

```
<ui-widget-quick-order url="https://example.com/myapi"></ui-widget-quick-order>
```

# Developer Documentation

<Description markdown={readme} />
